### Method

# GimpUi BrushSelectButton set_brush

#### Declaration [src]

    void
    gimp_brush_select_button_set_brush (
      GimpBrushSelectButton* button,
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode
    )

#### Description [src]

Sets the current brush and other values for the brush select button.

Available since: | 2.4

#### Parameters

`brush_name` | `const gchar*`
| Brush name to set; `NULL` means no change.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| Opacity to set. -1.0 means no change.
`spacing` | `gint`
| Spacing to set. -1 means no change.
`paint_mode` | `GimpLayerMode`
| Paint mode to set. -1 means no change.